local overrides = function(theme)
	-- Keyhelpmenu theming
	theme.hotkeys_description_font = "Comfortaa"
	--theme.hotkeys_font = "sans"

	theme.hotkeys_border_width = 0
	-- theme.hotkeys_border_color =

	theme.hotkeys_bg = theme.color.black .. "AA"
	theme.hotkeys_fg = theme.color.white

	theme.hotkeys_label_bg = theme.color.blue1
	theme.hotkeys_label_fg = theme.color.white
	theme.hotkeys_modifiers_fg = theme.color.green1 .. "AA"

	theme.hotkeys_opacity = 1
	--theme.hotkeys_group_magin = 5

	-- Notification theming
	theme.notification_font = "Comfortaa 8"
	theme.notification_bg = theme.color.black
	theme.notification_fg = theme.color.white

	--theme.notification_width =
	--theme.notification_height =

	theme.notification_margin = 0
	theme.notification_padding = theme.dpi(2)
	theme.notification_border_color = theme.color.black
	theme.notification_border_width = 0
	theme.notification_opacity = 1
	theme.notification_corner_radius = theme.dpi(2)

	-- Generate notification shape
	theme.notification_shape = function(cr, w, h)
		gears.shape.rounded_rect(cr, w, h, theme.notification_corner_radius, theme.notification_corner_radius)
	end


	-- Notification presets
	theme.notification_templates = {
		bottom_right = {
			icon_size = theme.dpi(25),
			timeout = 5,
			max_height = theme.dpi(80),
			max_width = theme.dpi(200),
			position = "bottom_right",
		}
	}

	-- Default notification
	naughty.config.defaults = {
		timeout = 5,
		text = 5,
		ontop = true,
		margin = theme.dpi(5),
		border_width = theme.dpi(1),
		position = "bottom_right"

		--screen int Defaults to awful.screen.focused. (optional)
	}

	return theme
end

return overrides
